Gecode::TracerBase Class Reference

Class to provide synchronization. More...

`#include <tracer.hpp>`

## Static Protected Attributes

static Support::Mutex | m
| Mutex to provide synchronization.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Class to provide synchronization.

Definition at line 37 of file tracer.hpp.

## Member Data Documentation

## m

Support::Mutex Gecode::TracerBase::m

static protected

Mutex to provide synchronization.

Definition at line 41 of file tracer.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/trace/tracer.hpp
- gecode/kernel/trace/tracer.cpp